linux-lts-backport-maverick: 2.6.35-31.63~lucid1 -proposed tracker

Bug #897744 reported by Brad Figg on 2011-11-29
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Marc Deslauriers
Verification-testing
Undecided
Canonical Kernel Team
linux-lts-backport-maverick (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.35-31.63~lucid1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 29. November 2011 15:33 UTC
kernel-stable-Certification-testing-end:Tuesday, 29. November 2011 15:46 UTC
kernel-stable-Prepare-package-end:Wednesday, 30. November 2011 01:01 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 30. November 2011 01:01 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 30. November 2011 07:31 UTC
kernel-stable-Verification-testing-start:Wednesday, 30. November 2011 07:31 UTC
kernel-stable-Security-signoff-start:Wednesday, 30. November 2011 18:46 UTC
kernel-stable-Verification-testing-end:Wednesday, 30. November 2011 18:46 UTC
kernel-stable-Regression-testing-start:Wednesday, 30. November 2011 18:46 UTC
kernel-stable-Security-signoff-end:Wednesday, 30. November 2011 23:16 UTC
kernel-stable-Promote-to-updates-start:Monday, 05. December 2011 17:16 UTC
kernel-stable-Regression-testing-end:Monday, 05. December 2011 17:16 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 08. December 2011 05:24 UTC
kernel-stable-Promote-to-updates-end:Thursday, 08. December 2011 05:24 UTC

Brad Figg (brad-figg) on 2011-11-29
tags: added: kernel-release-tracking-bug
Changed in linux-lts-backport-maverick (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2011-11-29
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Martin Pitt (pitti) on 2011-11-30
Changed in linux-lts-backport-maverick (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2011-11-30
description: updated
Herton R. Krzesinski (herton) wrote :

Only CVE fixes, no verification needed. Testing can begin.

Brad Figg (brad-figg) on 2011-11-30
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2011-11-30
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2011-12-05
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-backport-maverick - 2.6.35-31.63~lucid1

---------------
linux-lts-backport-maverick (2.6.35-31.63~lucid1) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #897744

  [ Upstream Kernel Changes ]

  * crypto: ghash - Avoid null pointer dereference if no key is set
    - LP: #887299
    - CVE-2011-4081
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * hfs: add sanity check for file name length, CVE-2011-4330
    - LP: #894374
    - CVE-2011-4330
  * ipv6: udp: fix the wrong headroom check
    - LP: #894373
    - CVE-2011-4326

linux (2.6.35-31.62) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #887378

  [ Upstream Kernel Changes ]

  * ipv6: restore correct ECN handling on TCP xmit
    - LP: #872179
  * nl80211: fix overflow in ssid_len - CVE-2011-2517
    - LP: #869245
    - CVE-2011-2517
  * vm: fix vm_pgoff wrap in stack expansion - CVE-2011-2496
    - LP: #869243
    - CVE-2011-2496
  * vm: fix vm_pgoff wrap in upward expansion - CVE-2011-2496
    - LP: #869243
    - CVE-2011-2496
  * ksm: fix NULL pointer dereference in scan_get_next_rmap_item() -
    CVE-2011-2183
    - LP: #869227
    - CVE-2011-2183
  * NLM: Don't hang forever on NLM unlock requests - CVE-2011-2491
    - LP: #869237
    - CVE-2011-2491
  * cifs: clean up cifs_find_smb_ses (try #2), CVE-2011-1585
    - LP: #869208
    - CVE-2011-1585
  * cifs: fix NULL pointer dereference in cifs_find_smb_ses, CVE-2011-1585
    - LP: #869208
    - CVE-2011-1585
  * cifs: check for NULL session password, CVE-2011-1585
    - LP: #869208
    - CVE-2011-1585
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 29 Nov 2011 15:42:23 -0200

Changed in linux-lts-backport-maverick (Ubuntu Lucid):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers